Index: branches/PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Converters/BoolConverter.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Converters/BoolConverter.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Converters/BoolConverter.cs	(revision 15018)
@@ -33,5 +33,5 @@
     private static readonly Type[] itemTypes = new Type[] { typeof(ValueTypeValue<bool>), typeof(ValueTypeArray<bool>), typeof(ValueTypeMatrix<bool>) };
     [StorableConstructor]
-    protected BoolConverter(bool deserializing) : base(deserializing) { }
+    protected BoolConverter(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected BoolConverter(BoolConverter original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Converters/DateTimeValueConverter.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Converters/DateTimeValueConverter.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Converters/DateTimeValueConverter.cs	(revision 15018)
@@ -32,5 +32,5 @@
     private static readonly Type[] itemTypes = new Type[] { typeof(DateTimeValue) };
     [StorableConstructor]
-    protected DateTimeValueConverter(bool deserializing) : base(deserializing) { }
+    protected DateTimeValueConverter(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected DateTimeValueConverter(DateTimeValueConverter original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Converters/DoubleConverter.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Converters/DoubleConverter.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Converters/DoubleConverter.cs	(revision 15018)
@@ -34,5 +34,5 @@
 
     [StorableConstructor]
-    protected DoubleConverter(bool deserializing) : base(deserializing) { }
+    protected DoubleConverter(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected DoubleConverter(DoubleConverter original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Converters/IntegerConverter.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Converters/IntegerConverter.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Converters/IntegerConverter.cs	(revision 15018)
@@ -34,5 +34,5 @@
 
     [StorableConstructor]
-    protected IntegerConverter(bool deserializing) : base(deserializing) { }
+    protected IntegerConverter(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected IntegerConverter(IntegerConverter original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Converters/StringConverter.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Converters/StringConverter.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Converters/StringConverter.cs	(revision 15018)
@@ -33,5 +33,5 @@
 
     [StorableConstructor]
-    protected StringConverter(bool deserializing) : base(deserializing) { }
+    protected StringConverter(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected StringConverter(StringConverter original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Converters/TimeSpanValueConverter.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Converters/TimeSpanValueConverter.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Converters/TimeSpanValueConverter.cs	(revision 15018)
@@ -33,5 +33,5 @@
 
     [StorableConstructor]
-    protected TimeSpanValueConverter(bool deserializing) : base(deserializing) { }
+    protected TimeSpanValueConverter(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected TimeSpanValueConverter(TimeSpanValueConverter original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Drivers/EvaluationChannel.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Drivers/EvaluationChannel.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Drivers/EvaluationChannel.cs	(revision 15018)
@@ -33,5 +33,5 @@
 
     [StorableConstructor]
-    protected EvaluationChannel(bool deserializing) : base(deserializing) { }
+    protected EvaluationChannel(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected EvaluationChannel(EvaluationChannel original, Cloner cloner) : base(original, cloner) { }
     protected EvaluationChannel()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Drivers/EvaluationProcessChannel.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Drivers/EvaluationProcessChannel.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Drivers/EvaluationProcessChannel.cs	(revision 15018)
@@ -64,5 +64,5 @@
     #region Construction & Cloning
     [StorableConstructor]
-    protected EvaluationProcessChannel(bool deserializing) : base(deserializing) { }
+    protected EvaluationProcessChannel(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected EvaluationProcessChannel(EvaluationProcessChannel original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Drivers/EvaluationServiceClient.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Drivers/EvaluationServiceClient.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Drivers/EvaluationServiceClient.cs	(revision 15018)
@@ -53,5 +53,5 @@
     #region Construction & Cloning
     [StorableConstructor]
-    protected EvaluationServiceClient(bool deserializing) : base(deserializing) { }
+    protected EvaluationServiceClient(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected EvaluationServiceClient(EvaluationServiceClient original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Drivers/EvaluationStreamChannel.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Drivers/EvaluationStreamChannel.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Drivers/EvaluationStreamChannel.cs	(revision 15018)
@@ -36,5 +36,5 @@
 
     [StorableConstructor]
-    protected EvaluationStreamChannel(bool deserializing) : base(deserializing) { }
+    protected EvaluationStreamChannel(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected EvaluationStreamChannel(EvaluationStreamChannel original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Drivers/EvaluationTCPChannel.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Drivers/EvaluationTCPChannel.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Drivers/EvaluationTCPChannel.cs	(revision 15018)
@@ -63,5 +63,5 @@
     #region Construction & Cloning
     [StorableConstructor]
-    protected EvaluationTCPChannel(bool deserializing) : base(deserializing) { }
+    protected EvaluationTCPChannel(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected EvaluationTCPChannel(EvaluationTCPChannel original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/EvaluationCache.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/EvaluationCache.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/EvaluationCache.cs	(revision 15018)
@@ -199,5 +199,5 @@
     #region Construction & Cloning
     [StorableConstructor]
-    protected EvaluationCache(bool deserializing) : base(deserializing) { }
+    protected EvaluationCache(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected EvaluationCache(EvaluationCache original, Cloner cloner)
         : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/ExternalEvaluationProblem.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/ExternalEvaluationProblem.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/ExternalEvaluationProblem.cs	(revision 15018)
@@ -88,5 +88,5 @@
 
     [StorableConstructor]
-    protected ExternalEvaluationProblem(bool deserializing) : base(deserializing) { }
+    protected ExternalEvaluationProblem(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected ExternalEvaluationProblem(ExternalEvaluationProblem original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/MultiObjectiveExternalEvaluationProblem.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/MultiObjectiveExternalEvaluationProblem.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/MultiObjectiveExternalEvaluationProblem.cs	(revision 15018)
@@ -85,5 +85,5 @@
 
     [StorableConstructor]
-    protected MultiObjectiveExternalEvaluationProblem(bool deserializing) : base(deserializing) { }
+    protected MultiObjectiveExternalEvaluationProblem(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected MultiObjectiveExternalEvaluationProblem(MultiObjectiveExternalEvaluationProblem original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Programmable/MultiObjectiveOptimizationSupportScript.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Programmable/MultiObjectiveOptimizationSupportScript.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Programmable/MultiObjectiveOptimizationSupportScript.cs	(revision 15018)
@@ -31,5 +31,5 @@
   public sealed class MultiObjectiveOptimizationSupportScript : OptimizationSupportScript<IMultiObjectiveOptimizationSupport>, IMultiObjectiveOptimizationSupport {
     [StorableConstructor]
-    private MultiObjectiveOptimizationSupportScript(bool deserializing) : base(deserializing) { }
+    private MultiObjectiveOptimizationSupportScript(StorableConstructorFlag deserializing) : base(deserializing) { }
     private MultiObjectiveOptimizationSupportScript(MultiObjectiveOptimizationSupportScript original, Cloner cloner) : base(original, cloner) { }
     public MultiObjectiveOptimizationSupportScript() : base(Templates.CompiledMultiObjectiveOptimizationSupport) { }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Programmable/OptimizationSupportScript.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Programmable/OptimizationSupportScript.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Programmable/OptimizationSupportScript.cs	(revision 15018)
@@ -39,5 +39,5 @@
 
     [StorableConstructor]
-    protected OptimizationSupportScript(bool deserializing) : base(deserializing) { }
+    protected OptimizationSupportScript(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected OptimizationSupportScript(OptimizationSupportScript<T> original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Programmable/SingleObjectiveOptimizationSupportScript.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Programmable/SingleObjectiveOptimizationSupportScript.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Programmable/SingleObjectiveOptimizationSupportScript.cs	(revision 15018)
@@ -32,5 +32,5 @@
   public sealed class SingleObjectiveOptimizationSupportScript : OptimizationSupportScript<ISingleObjectiveOptimizationSupport>, ISingleObjectiveOptimizationSupport {
     [StorableConstructor]
-    private SingleObjectiveOptimizationSupportScript(bool deserializing) : base(deserializing) { }
+    private SingleObjectiveOptimizationSupportScript(StorableConstructorFlag deserializing) : base(deserializing) { }
     private SingleObjectiveOptimizationSupportScript(SingleObjectiveOptimizationSupportScript original, Cloner cloner) : base(original, cloner) { }
     public SingleObjectiveOptimizationSupportScript() : base(Templates.CompiledSingleObjectiveOptimizationSupport) { }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/SolutionMessageBuilder.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/SolutionMessageBuilder.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/SolutionMessageBuilder.cs	(revision 15018)
@@ -43,5 +43,5 @@
 
     [StorableConstructor]
-    protected SolutionMessageBuilder(bool deserializing) : base(deserializing) { }
+    protected SolutionMessageBuilder(StorableConstructorFlag deserializing) : base(deserializing) { }
     [StorableHook(HookType.AfterDeserialization)]
     private void AfterDeserialization() {
